---
title: "Confirm Uploaded File"
slug: "check-uploaded-file"
updated: 2026-06-01T06:32:04Z
published: 2026-06-01T06:32:04Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt
> Use this file to discover all available pages before exploring further.

# Confirm Uploaded File

Post/api/v1/rooms.mediaConfirm/{rid}/{fileId}

Use this endpoint to send a specific file to a room. You can use this endpoint only after calling the [Upload Media Files to a Room](https://developer.rocket.chat/apidocs/upload-media-files-to-a-room) endpoint and getting the file ID.

Header parametersX-Auth-TokenstringRequired

The `authToken` of the authenticated user.

ExampleRScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f
X-User-IdstringRequired

The `userId` of the authenticated user.

ExamplerbAXPnMktTFbNpwtJ

Path parametersridstringRequired

Enter the room ID where you want to check the uploaded file.

Example66cd971f6fcbb8e8b3cf8e69
fileIdstringRequired

Enter the file ID you get from the [Upload Files to a Room](https://developer.rocket.chat/apidocs/upload-media-files-to-a-room) endpoint.

Example69424442ddfe6ceaf280f93f

Body parameters<select class='api-response-data' aria-label='Media type'><option value='da034be6-6ae6-49ca-876b-2d9ae26ce263'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='7f2a5881-85d9-4878-9f60-e49dbbdcbeea'>Example 1</option>
</select>Example 1

```json
{
  "alias": "test",
  "avatar": "https://picsum.photos/200",
  "description": "file upload description parameter",
  "groupable": false,
  "msg": "file upload message parameter",
  "customFields": "{\"priority\": \"low\"}",
  "emoji": ":one:",
  "tmid": "ZSnsznbWKqppnRny5"
}
```

object  descriptionstring    

Enter a file description.

Examplefile description
emojistring    

The emoji you enter will be displayed as the avatar when the message is sent.

Example:one:
groupableboolean    

Whether or not multiple messages can be grouped.

msgstring    

Enter a message to be sent with the file.

Examplehello world
tmidstring    

If you want to send the file to a thread, enter the thread ID here.

ExampleZSnsznbWKqppnRny5
avatarstring    

Enter the avatar that will be displayed when the message is sent. You need the `message-impersonate` permission.

Examplehttps://picsum.photos/200
aliasstring    

Enter the alias that will be used instead of your username when sending the message. You need the `message-impersonate` permission.

Exampletest user
customFieldsstring    

Enter custom fields if you have defined them in the [Message](https://docs.rocket.chat/docs/message) settings.

Example{\"priority\": \"low\"}

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='8a9f1750-d934-4116-bb31-06225ebaa943'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='0355f395-9b44-4608-b9f8-9b0d2354bca6'>Example 1</option>
</select>Example 1

```json
{
  "message": {
    "_id": "2ZABtFgt89fYYSw3Q",
    "rid": "GENERAL",
    "ts": "2025-12-17T05:49:55.825Z",
    "msg": "",
    "file": {
      "_id": "69424442ddfe6ceaf280f93f",
      "name": "44.jpg",
      "type": "image/jpeg",
      "size": 71224,
      "format": "jpeg"
    },
    "files": [
      {
        "_id": "69424442ddfe6ceaf280f93f",
        "name": "44.jpg",
        "type": "image/jpeg",
        "size": 71224,
        "format": "jpeg"
      },
      {
        "_id": "69424483ddfe6ceaf280f941",
        "name": "thumb-44.jpg",
        "type": "image/jpeg",
        "size": 13473,
        "format": "jpeg"
      }
    ],
    "attachments": [
      {
        "title": "44.jpg",
        "title_link": "/file-upload/69424442ddfe6ceaf280f93f/44.jpg",
        "title_link_download": true,
        "image_dimensions": {
          "width": 368,
          "height": 360
        },
        "image_preview": "/9j/2wBDAAYEBQYFBAYGBQYHBwYIChAKCgkJChQgsW+OGY6OKR5o3hGJfr6n3n5JkvPdSpXal1BmuoReom//Z",
        "image_url": "/file-upload/69424483ddfe6ceaf280f941/44.jpg",
        "image_type": "image/jpeg",
        "image_size": 71224,
        "type": "file"
      }
    ],
    "u": {
      "_id": "C38WSSzrGd2NCjzqJ",
      "username": "test.cat",
      "name": "test cat"
    },
    "_updatedAt": "2025-12-17T05:49:55.959Z",
    "urls": []
  },
  "success": true
}
```

Expand Allobject  messageobject  _idstring    
ridstring    
tsstring    
msgstring    
fileobject  _idstring    
namestring    
typestring    
sizeinteger    
formatstring    

files Array of object   object  _idstring    
namestring    
typestring    
sizeinteger    
formatstring    

attachments Array of object   object  titlestring    
title_linkstring    
title_link_downloadboolean    
image_dimensionsobject  widthinteger    
heightinteger    

image_previewstring    
image_urlstring    
image_typestring    
image_sizeinteger    
typestring    

uobject  _idstring    
usernamestring    
namestring    

_updatedAtstring    
urls Array of object   object  

successboolean    

400

Bad Request

<select class='api-response-data' aria-label='Media type'><option value='abb5ad29-a582-43fe-9409-9b4a4ac3b850'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e65721aa-473e-42dc-905b-f05cb832c3a7'>Example 1</option>
</select>Example 1

```json
{
  "success": false,
  "error": "[invalid-file]",
  "errorType": "invalid-file"
}
```

object  successboolean    
errorstring    
errorTypestring    

401

Unauthorized

<select class='api-response-data' aria-label='Media type'><option value='3d4476d2-1bcd-4d15-8784-b5708877016d'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='e1b12264-a11b-4882-becc-5fb3b9f18816'>Authorization Error</option>
</select>Authorization Error

```json
{
  "status": "error",
  "message": "You must be logged in to do this."
}
```

object  statusstring    
messagestring
